/** @param {import(".").NS } ns */

export async function main(ns) {
    // ns.disableLog('ALL');

    ns.exploit();
    const doc = eval('document');
    ns.alterReality(); // breakpoint and change value
    ns.rainbow('noodles');
    window.performance.now = function () { return 0; };
    Number.prototype.toExponential = function () { return null; };
    doc.achievements.push("UNACHIEVABLE");
    doc.getElementById('unclickable').style = "display: block;position: absolute;top: 50%;left: 50%;width: 100px;height: 100px;z-index: 10000;background: red;";
    doc.getElementById('unclickable').parentNode.addEventListener('click', () => {
        doc.getElementById('unclickable').style = "display: none; visibility: hidden;";
    }, true);
}
